org.apache.ignite.internal.processors.cache

## Class GridCacheLocalConcurrentMap

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheConcurrentMapImpl
  - - org.apache.ignite.internal.processors.cache.GridCacheLocalConcurrentMap

All Implemented Interfaces:
  GridCacheConcurrentMap

    public class GridCacheLocalConcurrentMap
    extends GridCacheConcurrentMapImpl

GridCacheConcurrentMap implementation for local and near caches.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheLocalConcurrentMap(GridCacheContext ctx, GridCacheMapEntryFactory factory, int initialCapacity)`
`GridCacheLocalConcurrentMap(GridCacheContext ctx, GridCacheMapEntryFactory factory, int initialCapacity, float loadFactor, int concurrencyLevel)`

### Method Summary

Methods
`void` `decrementPublicSize(GridCacheEntryEx e)` Decrements public size.
`void` `incrementPublicSize(GridCacheEntryEx e)` Increments public size.
`int` `publicSize()` Returns the number of publicly available key-value mappings in this map.

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheConcurrentMapImpl

`allEntries, entries, entrySet, getEntry, keySet, putEntryIfObsoleteOrAbsent, release, release, removeEntry, reserve, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheLocalConcurrentMap

    public GridCacheLocalConcurrentMap(GridCacheContext ctx,
                               GridCacheMapEntryFactory factory,
                               int initialCapacity)

#### GridCacheLocalConcurrentMap

    public GridCacheLocalConcurrentMap(GridCacheContext ctx,
                               GridCacheMapEntryFactory factory,
                               int initialCapacity,
                               float loadFactor,
                               int concurrencyLevel)

### Method Detail

#### publicSize

    public int publicSize()

Returns the number of publicly available key-value mappings in this map. It excludes entries that are marked as deleted. It also does not include entries from underlying data store.

Returns:
  the number of publicly available key-value mappings in this map.

#### incrementPublicSize

    public void incrementPublicSize(GridCacheEntryEx e)

Increments public size.

Parameters:
  `e` - Entry that caused public size change.

#### decrementPublicSize

    public void decrementPublicSize(GridCacheEntryEx e)

Decrements public size.

Parameters:
  `e` - Entry that caused public size change.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017